Subject: Re: bug#15356: [PATCH 15/19] libparted: Add hfs_esp partition flag to GPT.

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 23 Sep 2013 14:27:31 -0700

On Wed, Sep 11, 2013 at 12:25:05PM -0700, Brian C. Lane wrote:
> From: "Brian C. Lane" <[email-masked]>
> 
> Mac uses a HFS+ formatted partition for ESP. When dual booting with
> Linux we need a way to differentiate between the Mac partition and the
> one created by Linux which contains just enough stuff to fake OSX into
> displaying a nice logo and allowing it to be selected for boot. I
> generated a GUID (47CB5633-7E3E-408B-B7B8-2D915B7B21B1) and added a new
> flag to control it.

Ends up this doesn't work -- Apple firmware ignores the GUID and won't
boot, so I'll be dropping this patch.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)